# PlayerBots
Adds ai controlled teammates to your game. Compatible with all survivors from the Hidden Realms update.

## Features
- Playerbots can be spawned as regular summons or as players. They spawn as summons by default, but can but spawned as players by changing `SpawnAsPlayers` in the config.
- Each bot has its own owner that it follows.
- Bots spawned as players can pick up items, show up on the scoreboard, influence map player scaling, and all the other stuff that happens when there are multiple people.
- Only the host needs to have this mod installed, however, if the bots are spawned as summons, nameplates will not shown on clients.

## How to Spawn Bots
You can spawn bots by opening your console (ctrl + alt + tilda) and running the command `addbot [survivor name OR survivor index] [amount]` or `addrandombot [amount]`. All arguements are optional and have a default value if they are not given. Example: `addbot engineer 5` will spawn 5 engineers that follow you.

If you have friends in your lobby that you want to spawn bots for, add their slot number in the lobby after the rest of the arguements. Example: `addbot engineer 5 3` will spawn 5 engineers for the 3rd player in the lobby.

Alternatively, you can set the amount of bots spawned at the beginning of a run in the config. These bots will default to having the host as their master.

## Installation
Put `Playerbots.dll` into your `/BepInEx/plugins` folder.

## Important Config Options

`AutoPurchaseItems` - Allows the bots to purchase items randomly when they have enough money. (Default: true)

## Other Console Commands

`pb_startingbots [survivor name OR survivor index] [amount]` - Changes the amount of bots spawned at the beginning of a run.

`pb_startingbots_random [amount]` - Changes the amount of random bots spawned at the beginning of a run.

`pb_startingbots_reset` - Resets the amount of all bots that spawn at the beginning of a run to 0.

`pb_maxpurchases [amount]` - Sets the amount of purchases a bot can do per stage.

`removebots` - Removes all bots from the run

`killbots` - Kills all the bots currently in the run. They will respawn in the next stage.

## Known Issues

Due to the Skills 2.0 update, bots spawned with `SpawnAsPlayers` set to true no longer have their healthbars show up for people without the mod.

## Changelog
	- 1.3.0 (ror2 build 4478858)
		- Updated to work with the Hidden Realms update
		- Added acrid compatibility
		- Added ability for bots to buy and use some equipment
	- 1.2.1 (ror2 build 4233443)
		- Updated to work with the latest versions of r2api
		- Some tweaks to MULT's ai
		- Added a fix for the healthbars of bots spawned as players
	- 1.2.0 (ror2 build 4164475)
		- Updated to work with the Skills 2.0 update
		- Added basic loader compatibility
		- Corrected skill timing issues with bots during combat, survivors like mult should work better
		- Bots now spawn with random skins
	- 1.1.0 (ror2 build 3961583)
		- Added bandit compatibility
		- Added extra config options for auto purchasing
		- Added death messages for bots
		- Fixed bots not counting towards the teleporter timer when SpawnAsPlayers == true
	- 1.0.1
		- Fixed starting bots attacking you
		- Added pb_listbots command to display bots' owners
	- 1.0.0 
		- Initial Release